#pragma once
#include "Entity.h"
#include "EntityState.h"
#include "CS_QuoteGravity.h"
#define CS_PUPPYANI_CREATENAME L"CS_puppy_animate"
class CS_PuppyAni :
    public ActionEntity
{
public:
    CS_PuppyAni();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //动画
    int stateID = 0;
    int wink_counter = 0;
    bool bSit = true;
    int act_wait = 0;
    //图层显示
    float animation_moveSpeed = 0x200 / ts;
    bool animation_delay = false;//走路动画延迟一帧（对齐到整格）
    //水中效果
    bool fallToWater = false;
    bool setSplash = false;
    //状态模块
    CS_QuoteGravity stateGravity;
    void stateWater();
};

std::shared_ptr<Entity> CreateCS_PuppyAni();